Bug 632765 - [6.1 FEAT] opencryptoki package version update
[6.1 FEAT] opencryptoki package version update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: opencryptoki (Show other bugs)
6.1
All All
medium Severity medium
: beta
: 6.1
Assigned To: Dan Horák
BaseOS QE Security Team
: FutureFeature, OtherQA, Rebase
Depends On: 699408
Blocks: 538808 662543 580566
  Show dependency treegraph
 
Reported: 2010-09-10 17:32 EDT by IBM Bug Proxy
Modified: 2011-05-19 09:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: opencryptoki-2.3.3-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 67182 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-10 17:32:42 EDT
1. Feature Overview:
Feature Id: [67182]
a. Name of Feature: [6.1 FEAT] opencryptoki package version update
b. Feature Description
Update opencryptoki package to latest available package (should be 2.3.3 by Dec/2010).


2. Feature Details:
Sponsor: LTC Security
Architectures:
  ppc64, x86, x86_64, zSeries - 31/32 compat, zSeries - 31/32 Native, zSeries - 64 native, 

Arch Specificity: both
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Direct from Community
Category: other
Request Type: Package - Update Version
d. Upstream Acceptance: Field does not exist
Sponsor Priority P3
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Opencryptoki 2.3.2 had a significant performance improvement over past versions. Subsequent versions
also include bug fixes, better testing and overall better packaging, making it more serviceable in
the advent of problems in the field.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
Klaus Heinrich Kiwi, klausk@br.ibm.com
Comment 2 IBM Bug Proxy 2010-10-04 12:02:17 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 11:32 EDT-------
Code Upstream Status: In Progress
Comment 6 RHEL Product and Program Management 2011-01-06 23:03:43 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Suzanne Yeghiayan 2011-01-07 11:13:45 EST
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.
Comment 11 Dan Horák 2011-01-13 07:19:25 EST
Package is now rebased to version 2.3.2 which includes the performance fix in the session/object look-up code, that is already included in the RHEL 5.6 package.
Comment 14 John Jarvis 2011-01-13 09:57:32 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 15 IBM Bug Proxy 2011-01-13 14:28:39 EST
------- Comment From klausk@br.ibm.com 2011-01-13 14:25 EDT-------
(In reply to comment #7)
> Package is now rebased to version 2.3.2 which includes the performance fix in
> the session/object look-up code, that is already included in the RHEL 5.6
> package.

Dan,

I just released 2.3.3 in the sourceforge site (https://sourceforge.net/projects/opencryptoki/files/opencryptoki/2.3.3/), could you pick it up?

-Klaus
Comment 16 Dan Horák 2011-01-14 03:06:23 EST
(In reply to comment #15)
> Dan,
> 
> I just released 2.3.3 in the sourceforge site
> (https://sourceforge.net/projects/opencryptoki/files/opencryptoki/2.3.3/),
> could you pick it up?

The new upstream release came just in time :-) Package is now rebased to 2.3.3.
Comment 20 Miroslav Vadkerti 2011-03-12 08:36:41 EST
Doing sanity testing only:
* current version of opencryptoki in RHEL6.1: opencryptoki-2.3.3-1.el6.x86_64
* all available RHTS tests PASS:
/CoreOS/openCryptoki/Regression/bz415971-pkcsconf-validation-of-PIN-is-wrong
/CoreOS/openCryptoki/Regression/bz612274-Opencryptoki-session-object-performance-degradation
/CoreOS/openCryptoki/Sanity/init-scripts-LSB
/CoreOS/openCryptoki/Sanity/testsuite - some of the tests fail - reported upstream
Comment 21 Chris Ward 2011-04-06 07:15:16 EDT
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!
Comment 22 Eduard Benes 2011-04-20 07:58:16 EDT
@OtherQA feedback contact person, please update us with the latest available test results confirming the resolution of this request. Thank you.
Comment 23 IBM Bug Proxy 2011-04-21 12:00:52 EDT
------- Comment From yoder1@us.ibm.com 2011-04-21 11:53 EDT-------
Hi Redhat,

The opencryptoki-libs-debuginfo package appears to be missing, I cannot find it in RHEL 6.1 snap4.

Kent
Comment 25 Dan Horák 2011-04-21 12:38:02 EDT
There is only one debuginfo package per source package, so no separate opencryptoki-libs-debuginfo exists as there is opencryptoki-debuginfo.
Comment 27 IBM Bug Proxy 2011-04-21 18:01:00 EDT
------- Comment From yoder1@us.ibm.com 2011-04-21 17:52 EDT-------
Ah, ok, thanks Dan.  Bug 71697 has been found and a patch for the fix created. Once resolved we can close this feature request.

Kent
Comment 28 IBM Bug Proxy 2011-04-26 14:00:58 EDT
------- Comment From yoder1@us.ibm.com 2011-04-26 13:54 EDT-------
Apparently its too late to expect a fix for 71697.  Regardless, this feature has been verified, I am closing it.

Thanks,
Kent
Comment 29 John Jarvis 2011-04-26 14:10:24 EDT
Is IBMBZ 71697 the same as RHBZ 699408 which I have set as blocking this feature?  If so the fix for BZ 699408 is planned for inclusion in the RHEL 6.1 release candidate.
Comment 30 IBM Bug Proxy 2011-04-26 15:22:13 EDT
------- Comment From yoder1@us.ibm.com 2011-04-26 15:15 EDT-------
> Is IBMBZ 71697 the same as RHBZ 699408

@jjarvis: yes

Kent
Comment 31 errata-xmlrpc 2011-05-19 09:53:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0661.html

Note You need to log in before you can comment on or make changes to this bug.